/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */

// BaseEnvs.h -- basic environments

#ifndef _baseenvs_h_
#define _baseenvs_h_

#include "cmdhdl.h"

class VerbatimEnv : public EnvHdl {
protected:
    const char *endMark;
public:
    VerbatimEnv(int o, int a, char *e) : EnvHdl(o, a) { endMark = e; }
    virtual bool translateBody(Stream *);
    virtual bool scanBody(Stream *);
};

extern EnvHdl gNullEnv;
void initBasicEnvs();

#endif // _baseenvs_h_
