/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */

#ifndef _mh2html_h_
#define _mh2html_h_

#ifdef MW
#define PATH_SEP_CHAR ':'
#define PATH_SEP_STR ":"
#define READ_MODE "r"
#define WRITE_MODE "w"
#else
#ifdef WINDOWS
#define PATH_SEP_CHAR '\\'
#define PATH_SEP_STR "\\"
#define READ_MODE "rb"
#define WRITE_MODE "wb"
#else /* UNIX */
#define PATH_SEP_CHAR '/'
#define PATH_SEP_STR "/"
#define READ_MODE "r"
#define WRITE_MODE "w"
#endif
#endif

#define HTML_EXT ".html"

const char * GetVirtualHTMLFileName();
extern bool gIe4;

#endif // _mh2html_h_

