/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */

// error.h -- error handling

#ifndef _error_h_
#define _error_h_

void doExit(int);
void fatal(char *, char * ="", char * ="");	// print message and exit
void error(char *, char * ="", char * ="");	// print error message
void warning(char *, char * ="", char * ="");	// print warning

#endif // _error_h_

