/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */


// MhlpCmds.h -- special Mhelp.sty commands

#ifndef _mhlpcmds_h_
#define _mhlpcmds_h_

#include "cmdhdl.h"

enum Language { kGerman, kEnglish };
enum ParaType { kNone, kPara, kItPara, kItem, kTableEntry, kLastTableEntry };

// globals

extern SubStream gNilStream;
extern SubStream gMpack;
extern SubStream gMname;
extern SubStream gMnameLabel;
extern SubStream gAuthor;
extern ParaType gParaType;
extern bool gPutVersion;
extern bool gPageButtons;
extern bool gInSyntax;
extern Language gLanguage;

void initMhelpCmds();
void putLangPara(SubStream *s);

#endif // _mhlpcmds_h_
